WSTrustServiceContract.BeginDispatchRequest(DispatchContext, AsyncCallback, Object) 方法
定义
开始异步调用 DispatchRequest(DispatchContext)。Begins an asynchronous call to DispatchRequest(DispatchContext).
protected:
virtual IAsyncResult ^ BeginDispatchRequest(System::ServiceModel::Security::DispatchContext ^ dispatchContext, AsyncCallback ^ asyncCallback, System::Object ^ asyncState);
protected virtual IAsyncResult BeginDispatchRequest (System.ServiceModel.Security.DispatchContext dispatchContext, AsyncCallback asyncCallback, object asyncState);
abstract member BeginDispatchRequest : System.ServiceModel.Security.DispatchContext * AsyncCallback * obj -> IAsyncResult
override this.BeginDispatchRequest : System.ServiceModel.Security.DispatchContext * AsyncCallback * obj -> IAsyncResult
Protected Overridable Function BeginDispatchRequest (dispatchContext As DispatchContext, asyncCallback As AsyncCallback, asyncState As Object) As IAsyncResult
参数
- dispatchContext
- DispatchContext
定义要处理的请求参数,并揭示确定响应消息和操作的属性。Defines the request parameters to process and exposes properties that determine the response message and action.
- asyncCallback
- AsyncCallback
可选的异步回调,在调度完成时调用。An optional asynchronous callback, to be called when the dispatch is complete.
- asyncState
- Object
用户提供的对象,用于区分此特定异步调度请求与其他请求。A user-provided object that distinguishes this particular asynchronous dispatch request from other requests.
返回
表示异步操作的 IAsyncResult。A IAsyncResult that represents the asynchronous operation. 用作 EndDispatchRequest(IAsyncResult) 方法的输入。Used as the input to the EndDispatchRequest(IAsyncResult) method.